Subject: [Shop-talk] Dent puller

From: Jorge Garcia <[email-masked]>
Date: Mon, 18 Feb 2013 18:41:10 -0800 (PST)

In the show 'Wheeler Dealers' they have used a dent puller that I would like to find and buy. It works by spot welding a number of fingers that are then attached to the "puller" by hooks. The puller has handle that pulls on the hooks by turning a handle. It looks very simple to operate. Has anyone seen the show and the use of this dent puller? If you know where I can purchase this tool please let me knw. I've already checcked Harbor Freight and Amazon's websites and they did not have it.
Thanks
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive